Bug 652214 - Unregister Process deletes “consumer” and “entitlement” folder for non network host
Summary: Unregister Process deletes “consumer” and “entitlement” folder for non netwo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-11-11 11:57 UTC by spandey
Modified: 2015-04-23 23:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
rhsm.log (891.86 KB, application/octet-stream)
2010-11-11 12:02 UTC, spandey
no flags Details
unregisterprocss.png (818.49 KB, image/png)
2010-11-11 12:41 UTC, spandey
no flags Details
verification steps (316.40 KB, image/png)
2010-12-07 18:38 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description spandey 2010-11-11 11:57:49 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
3/3

Prerequisites : 

Alpha build 
http://download.devel.redhat.com/devel/candidate-trees/RHEL6.0-20101103.0/

Steps to Repo 

Register client to candlepin.stage 
subscribe any product 
disable host network 
Execute Following command on console 

subscription-manager-cli unregister 

Expected Result : 
Unregistration process should fail with proper error message 

Actual Result : 
Unregistration process goes halfway and deleted following folder from client 

/etc/pki/consumer
/etc/pki/entitlement 

attached screenshot : unregisterprocess.png 
Attached Rhsm.log

Comment 1 spandey 2010-11-11 12:02:13 UTC
Created attachment 459735 [details]
rhsm.log

Comment 3 spandey 2010-11-11 12:41:36 UTC
Created attachment 459748 [details]
unregisterprocss.png

Comment 4 Bryan Kearney 2010-11-11 13:00:38 UTC
Good catch, but moving to beta.

Comment 5 Ajay Kumar Nadathur Sreenivasan 2010-11-18 16:07:10 UTC
fix in
git show-ref master
  21b1cccdcddb410c125dc36607c48418bfcd94c5 refs/heads/master
  21b1cccdcddb410c125dc36607c48418bfcd94c5 refs/remotes/origin/master

Comment 7 John Sefler 2010-12-07 18:38:07 UTC
VERIFIED ON...
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.2-1.git.82.b7841b3.fc14.x86_64


See attached screenshot for verification steps

Comment 8 John Sefler 2010-12-07 18:38:59 UTC
Created attachment 466792 [details]
verification steps

Comment 10 errata-xmlrpc 2011-05-19 13:37:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.